//
// Created by trotfunky on 07/06/19.
//

#include "Utils.h"

namespace pro_maat
{
    void errorWindow(const std::string& error)
    {
        sf::Font font;
        if(!font.loadFromFile(std::string(pro_maat::fontFolder)+"verdana.ttf"))
        {
            std::cerr << "Error while loading font for error :" << std::endl;
            std::cerr << error << std::endl;
        }

        sf::Text errorMessage(error,font);
        errorMessage.setFillColor(sf::Color::Red);
        sf::Rect errorArea = errorMessage.getGlobalBounds();
        errorMessage.setPosition(errorArea.width*(1.5/2-0.5),errorArea.height*(0.5));
        sf::RenderWindow window(sf::VideoMode(errorArea.width*1.5,errorArea.height*2),"ERROR");
        while (window.isOpen())
        {
            sf::Event event;
            while(window.pollEvent(event))
            {
                if (event.type == sf::Event::Closed || event.type == sf::Event::KeyPressed || event.type == sf::Event::MouseButtonPressed)
                {
                    window.close();
                    exit(-1);
                }
            }
            window.clear(sf::Color::White);
            window.draw(errorMessage);
            window.display();
        }
    }
}